<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$cot_id = $_GET['id'];  
$can1 = mysqli_query($con, "SELECT * FROM cotizacion WHERE cot_id='$cot_id'") or die(mysqli_error($con));  
$dat = mysqli_fetch_array($can1); 
$cot_estado = $dat['cot_estado'];
// Lista ordenada de estados
$estados = [
    "Pendiente",
    "Confirmado",
    "En Proceso",
    "Procesado",
    "Facturado",
    "Enviado"
];

// obtener posición del estado actual
$pos_actual = array_search($cot_estado, $estados);
?>                
<form method="post" action="" id="form_estado" name="form_estado">
    <div class="alert alert-info alert-dismissable">
        <strong>Cambiar de Estado</strong> <a href="#" class="alert-link"></a>
    </div>
    <input type="hidden" id="cot_id" name="cot_id" value="<?php echo $cot_id;?>" >
    <select name="cot_estado" id="cot_estado" class="form-control name_list input-sm" required>
        <option value=""> - - </option>
        <?php
            // mostrar solo los estados siguientes
            for ($i = $pos_actual + 1; $i < count($estados); $i++) {
                echo '<option value="'.$estados[$i].'">'.$estados[$i].'</option>';
            }
        ?>
    </select>

    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" name="btn_estado" class="btn btn-success" value="btn_estado" id="btn_estado">OK</button>
    </div>
</form>

<script>
$( "#form_estado" ).submit(function( event ) {
$('#btn_estado').attr("disabled", true);

var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_cotizaciones/estado.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados").html(datos);
        $('#btn_estado').attr("disabled", false);

        
        $('#estado').modal('hide');
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
       load(1);
      }
  });
  event.preventDefault();
})
</script>